importScripts("https://www.gstatic.com/firebasejs/8.10.0/firebase-app.js");
importScripts("https://www.gstatic.com/firebasejs/8.10.0/firebase-messaging.js");

firebase.initializeApp({
apiKey: "AIzaSyCNpUV_4cMEL9QZx7NESXK7QAlRjRGwx_Y",
  authDomain: "prosapp-5747a.firebaseapp.com",
  databaseURL: "https://prosapp-5747a-default-rtdb.firebaseio.com",
  projectId: "prosapp-5747a",
  storageBucket: "prosapp-5747a.appspot.com",
  messagingSenderId: "245204384533",
  appId: "1:245204384533:web:1b8f0b4c1d9ae21d9f871c",
});

const messaging = firebase.messaging();

// Optional:
messaging.onBackgroundMessage((message) => {
  console.log("onBackgroundMessage", message);
});